Bug 111561 - yum update or install fails
yum update or install fails
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-05 09:39 EST by Thorsten Scherf
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-27 15:36:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thorsten Scherf 2003-12-05 09:39:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.4.1)
Gecko/20031030

Description of problem:
"yum update" or "yum install" fails with the following error-messages:

[root@kermit root]# yum update
Gathering header information file(s) from server(s)
Server: Fedora Core 1 - i386 - Base
Server: Fedora Core 1 - i386 - Released Updates
Finding updated packages
Downloading needed headers
Resolving dependencies
error: rpmdbNextIterator: skipping h#     129 Header V3 DSA signature:
BAD, key ID 4f2a6fd2

Last Message several times.

I imported the fedora gpg-key into gpg and rpm. "rpm --rebuilddb" does
not fix the problem.

Version-Release number of selected component (if applicable):
yum-2.0.4-2

How reproducible:
Always

Steps to Reproduce:
1.yum --update, or yum --install without an argument
2.
3.
    

Actual Results:  see Error Messages above

Expected Results:  update the actual rpm-files or install new ones...

Additional info:
Comment 1 Jeff Johnson 2003-12-13 17:14:51 EST
Where did you get the key> If from a keyserver,
you will need to use gpg to import the pubkye,
edit out the key server signature, and re-export the key
before importing.

Comment 2 Thorsten Scherf 2003-12-18 09:36:51 EST
I tried a rpm --rebuilddb several times, after that, it works. 
strange.
Comment 3 Jeff Johnson 2003-12-27 15:36:06 EST
This smells like the dangling ptr, fixed in rpm-4.2.2-0.6.

Note You need to log in before you can comment on or make changes to this bug.